var viz, workbook, activeSheet;

function initializeViz(url) {
  var placeholderDiv = document.getElementById("tableauViz");
  //var url = "http://public.tableausoftware.com/views/WorldIndicators/GDPpercapita";
  //var url = "http://public.tableausoftware.com/views/testJavascriptParameterChange/Sheet2";
  var options = {
    hideTabs: true,
    hideToolbar: true,
    onFirstInteractive: function () {
      workbook = viz.getWorkbook();
      activeSheet = workbook.getActiveSheet();
    }
  };
  viz = new tableauSoftware.Viz(placeholderDiv, url, options);
}

function showParams()	{
	workbook.getParametersAsync()
	.then(function (params) {
		var msg = '';
		for(var i=0; i<params.length; i++) {	
			msg += params[i].getName() + ' - ' + params[i].getDataType() + '\n';
		}
		alert(msg);
	})
}

function changeParam(value)	{
	workbook.changeParameterValueAsync('Choose Measure', value)
	//.then(function() {alert('success');})
	//.otherwise(function(err) { alert('failed: ' + err);});
}